/*---------------------------------------------------------------------------------

 Theme Name:   Ron Wikso Divi Child Theme
 Theme URI:    https://ronwikso.com
 Description:  Child Theme for Ron Wikso's Website
 Author:       Ron Wikso
 Author URI:   https://ronwikso.com
 Template:     Divi
 Version:      1.0.7
 License:      GNU General Public License v2 or later
 License URI:  http://www.gnu.org/licenses/gpl-2.0.html
 Text Domain:  ronwikso

------------------------------ ADDITIONAL CSS HERE ------------------------------*/

/* Fix Button Icon Preset size and position */
#page-container .et_pb_section .et_pb_button.my-button-fix::after,
#page-container .et_pb_section .et_pb_button.my-button-fix:hover::after{
    font-size: inherit!important;
    line-height: inherit!important;
}
#page-container .et_pb_section .et_pb_button.my-button-fix:hover::after {
    margin-left:.25em !important;
}

/* Fix Button Preset Padding on hover */
#page-container .et_pb_section .et_pb_button.my-button-fix:hover {
    padding-top: .75em!important;
    padding-bottom: .75em!important;
}
/* Typography Reset */
body {
    font-weight: 400;
}

.et_pb_heading h1, .et_pb_heading h2, .et_pb_heading h3, .et_pb_heading h4, .et_pb_heading h5, .et_pb_heading h6 {
    padding-bottom:0;
}
.rw-text h1:not(:first-child),
.rw-text h2:not(:first-child),
.rw-text h3:not(:first-child),
.rw-text h4:not(:first-child),
.rw-text h5:not(:first-child),
.rw-text h6:not(:first-child) {
    padding-top: 1em;
}
.rw-text p:last-of-type {
    padding-bottom: 1em;
}

.rw-text p:last-child, .rw-text ul:last-child, .rw-text ol:last-child {
    padding-bottom: 0;
}
/* ======================
Global Header
========================= */
#rw-header {
    backdrop-filter: blur(5px);
}

#rw-header ul.sub-menu a {
    text-transform: none;
    font-weight: 400;
}

#rw-header ul.et-menu > li {
    padding: 0 16px;
}
/* Desktop Submenu styling */
@media (min-width:981px) {
    #rw-header ul.sub-menu {
        border-style: solid;
        border-width: 2px;
        border-radius: 0px 20px 0px 20px;
        box-shadow: none;
        padding: 10px 0;
        width: 500px;
    }
    
    #rw-header ul.sub-menu li {
        padding: 0;
        width:100%;
    }
    
    #rw-header ul.sub-menu li a {
        width:100%;
        background:none;
        opacity:1;
        transition: all .3s linear;
    }
    #rw-header ul.sub-menu li a:hover {
        padding-left:26px;
    }
}
/* Mobile Menu styling */
#rw-header .et_mobile_menu {
    border-style: solid;
    border-width: 2px;
    border-radius: 4px 20px 20px 20px;
    width: 80vw;
}

@media (max-width:600px) {
    #rw-header .et_mobile_menu {
        width: 90vw;
    }
}

#rw-header .et_mobile_menu a {
    background: none;
}
#rw-header .opened .mobile_menu_bar::before {
    content: '\4d';
}
/* List styling */
.rw-text li::marker {
    color: var(--gcid-secondary-color);
}
/* Links styling */
.rw-text a {
    text-decoration-thickness: .12em;
    transition: all .1s linear;
    text-underline-offset: .1em;
	text-decoration-skip-ink:none;
}

.rw-text a:hover {
	text-decoration-thickness: .2em;
    text-underline-offset: .3em;
}
 /* https://smoothshadows.com/#djEsMSw1LDAuMTUsNDIsMzIsMCwjNWUzMTM3LCNmM2Y0ZjYsI2ZmZmZmZiwy */
.has-shadow {box-shadow: 0px 1px 2px rgba(94, 49, 55, 0.03),
  0px 5px 7px rgba(94, 49, 55, 0.06),
  0px 12px 15px rgba(94, 49, 55, 0.09),
  0px 20px 27px rgba(94, 49, 55, 0.12),
  0px 32px 42px rgba(94, 49, 55, 0.15);
}
